Bug 22260 - Basic smarts for knowing when HW is swapped.
Basic smarts for knowing when HW is swapped.
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2000-12-13 13:50 EST by Idcmp
Modified: 2014-03-16 22:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-01-06 18:49:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Idcmp 2000-12-13 13:50:33 EST
It'd be really handy if Kudzu could do some basic logic and notice when
hardware is replaced by other hardware and let the user know.

This would only work in the case where the exact number of similar devices
remains the same.   For example if a user replaces a 3c905c with an
eepro100.  There is still 1 network card, so odds are strong that it was a

In those cases instead of walking them through the removal then the
addition, you would walk them through a swap.  "Kudzu has detected that you
have replaced 3Com 905C|Scary Name| with Intel EEPro 100|Scary Name." 
Users should be asked "Is this correct?" and be given "Yes, Migrate
Settings." "Yes, Reconfigure" or "No", where no would just walk through
removal then addition.

To test this, install Linux on a swappable drive and swap it to a different
machine with similar, but not identical hardware.
Comment 1 Andrew Bartlett 2001-01-06 18:49:07 EST
Swapping network cards works quite nicely (at least for me), settings are
transferred when the second device is configured.
Comment 2 Bill Nottingham 2001-08-07 02:06:54 EDT
Swapping of network cards should just work, and video cards also have been tested.
Kudzu as of 7.1 DTRT with respect to mice as well.

Note You need to log in before you can comment on or make changes to this bug.